import Columns from "../models/Columns";


class ColumnBuilder {
  constructor(){}

  setColumnId(id) {
    this.columnId = id;
    return this;
  }

  setColumnName(name) {
    this.name = name;
    return this;
  }

  setColumnType(type) {
    this.type = type;
    return this;
  }

  setDatabaseId(id) {
    this.databaseId = id;
    return this;
  }

  setDatabase(database) {
    this.database = database;
    return this;
  }

  build() {
    return new Columns(this);
  }

}

export default ColumnBuilder