import Meta from "../models/Meta";

class MetaBuilder {
  constructor(){}

  setDatabaseId(id) {
    this.database_id = id;
    return this;
  }

  setCreatedAt(created_at) {
    this.created_at = created_at;
    return this;
  }

  setCreatedBy(created_by) {
    this.created_by = created_by;
    return this;
  }

  setSize(size) {
    this.size = size;
    return this;
  }

  setUpdatedAt(updated_at) {
    this.updated_at = updated_at;
    return this;
  }

  setUpdateBy(updated_by) {
    this.updated_by = updated_by;
    return this;
  }

  build() {
    return new Meta(this);
  }

}

export default MetaBuilder